OpenShot Audio Library | OpenShotAudio: juce::AndroidDocumentInputSource Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::AndroidDocumentInputSource Class Reference

`#include <juce_AndroidDocumentInputSource.h>`

Inheritance diagram for juce::AndroidDocumentInputSource:

## Public Member Functions
| AndroidDocumentInputSource (const AndroidDocument &doc)
InputStream * | createInputStream () override
InputStream * | createInputStreamFor (const String &relatedItemPath) override
int64 | hashCode () const override
Public Member Functions inherited from juce::InputSource
virtual | ~InputSource ()=default

## Detailed Description

An InputSource backed by an AndroidDocument.

See also
  InputSource, AndroidDocument

Definition at line 34 of file juce_AndroidDocumentInputSource.h.

## Constructor & Destructor Documentation

## ◆ AndroidDocumentInputSource()

juce::AndroidDocumentInputSource::AndroidDocumentInputSource | ( | const AndroidDocument & | doc | ) |
| inlineexplicit

Creates a new AndroidDocumentInputSource, backed by the provided document.

Definition at line 40 of file juce_AndroidDocumentInputSource.h.

## Member Function Documentation

## ◆ createInputStream()

InputStream * juce::AndroidDocumentInputSource::createInputStream | ( |  | ) |
| inlineoverridevirtual

Returns a new InputStream to read this item.

Returns
  an inputstream that the caller will delete, or nullptr if the document can't be opened.

Implements juce::InputSource.

Definition at line 49 of file juce_AndroidDocumentInputSource.h.

## ◆ createInputStreamFor()

InputStream * juce::AndroidDocumentInputSource::createInputStreamFor | ( | const String & | relatedItemPath | ) |
| inlineoverridevirtual

An AndroidDocument doesn't use conventional filesystem paths. Use the member functions of AndroidDocument to locate relative items.

Parameters

  relatedItemPath | the relative pathname of the resource that is required

Returns
  an input stream if relatedItemPath was empty, otherwise nullptr.

Implements juce::InputSource.

Definition at line 63 of file juce_AndroidDocumentInputSource.h.

## ◆ hashCode()

int64 juce::AndroidDocumentInputSource::hashCode | ( |  | ) | const
| inlineoverridevirtual

Returns a hash code that uniquely represents this item.

Implements juce::InputSource.

Definition at line 70 of file juce_AndroidDocumentInputSource.h.

The documentation for this class was generated from the following file:

- juce_AndroidDocumentInputSource.h